DEFS      = @DLLFLAGS@ -D__WINE__
TOPSRCDIR = @top_srcdir@
TOPOBJDIR = ..
SRCDIR    = @srcdir@
VPATH     = @srcdir@
LIBEXT    = @LIBEXT@
MODULE    = none
SOVERSION = 1.0
SONAME    = libwine_port.$(LIBEXT)
EXTRALIBS = @DLLIBS@

C_SRCS = \
	port.c \
	mmap.c

all: $(SONAME)

@MAKE_RULES@

$(SONAME).$(SOVERSION): $(OBJS)
	$(LDSHARED) $(OBJS) $(EXTRALIBS) $(LIBS) -o $@

$(SONAME): $(SONAME).$(SOVERSION)
	$(RM) $@ && $(LN_S) $(SONAME).$(SOVERSION) $@

install_so: $(SONAME).$(SOVERSION)
	[ -d $(libdir) ] || $(MKDIR) $(libdir)
	$(INSTALL_PROGRAM) $(SONAME).$(SOVERSION) $(libdir)/$(SONAME).$(SOVERSION)
	cd $(libdir) && $(RM) $(SONAME) && $(LN_S) $(SONAME).$(SOVERSION) $(SONAME)

install_a: libwine.a
	[ -d $(libdir) ] || $(MKDIR) $(libdir)
	$(INSTALL_DATA) libwine.a $(libdir)/libwine.a

install:: all $(LIBEXT:%=install_%)

uninstall::
	cd $(libdir) && $(RM) libwine.a $(SONAME) $(SONAME).$(SOVERSION)

clean::
	$(RM) $(SONAME).$(SOVERSION)

### Dependencies:
